PAYLAŞ
Joomla 1.0 Bitiyor

Joomla! 1.0.x sürümlere destek döneminin sona ermek üzere olduğundan çeşitli yerlerde müteaddit defalar bahsetmiştik. Joomla! geliştirici takımı 22 Temmuz 2009’dan itibaren Joomla! 1.0.x sürümlere resmî desteğin sona ereceğini ve bu tarihten sonra ilgili sürümlere herhangi bir şekilde destek vberilmeyeceğini duyuralı neredeyse 1,5 sene oluyor. Bu aslında durumun ilişkili olduğu 1.5 sürümlerle arada oluşturulan espiri sanırım.

1.5 sürümler sebebiyle duyuru tarihinden itibaren 1,5 sene süre kondu desteğin sonlandırılmasına. Bu duyuru yapıldığında 1.5 sürümler beta paketlerden itibaren yaklaşık 1,5 senedir yayındaydı. Bu arada destek sonlandığında 1.6.0 sürümüm beta paketini bekliyor olacağız.

Bunları birbirine uydurmuş da olabilirim, özellikle böyle planlanmış da olabilir, su götürür bir konu.

Her neyse, alında yazarken değinmek istediğim asıl mesela desteğin sonlanmasıydı. Bir kere daha ve hatta 23 Temmuz’a kadar belki 1-2 sefer daha değinirim…bilemiyorum. Zira halen o kadar çok Joomla! 1.0 kullanıcısı var ki. Forumda halen 1.0 sürüm alanlarının ziyaretçisi Joomla! 1.5 sürümlerininkiyle aynı. Oysa daha evvel de değindiğim gibi, 1.0 sürümlere “Joomla!” bile denmiyor artık.

22 Temmuz 2009 gecesi yatıp 23 Temmuz 2009 sabahı uyandığınızda, bu hiç de “bir ilkbahar sabahı güneşle uyanma”ya benzemeyecek. Belki bunu hemen farketmeyeceksiniz, belki de farket zorunda kalmayan şanslılardan olacaksınız.

Bu saatten sonra Joomla! 1.0 ve sadece onunla çalışan eklentilerde oluşabilecek açıkların kapatılmasını bekleyenler ya da Joomla! 1.0 ile güvende kalabileceğini düünenler hayal kırıklığına uğrayacak. Aslında güvenlik zafiyeti elbette daha çok kullanılanda ortaya çıkar. Zİra asıl hedef çok kullanılandır. Ancak 1.0 kullanıcısı bu kadar çokken, üstelik cepte hiç bir avantaj bulunmayıp, bir de hediyesi destek alamamak varken bu sürümü kullanmanın, girmeye değmeyecek bir risk olduğu ortada.

Burada 1.0 kullanıcılarının diğer handikapı da çok kullanılan kod dizilerinde oluşturulacak bir zafiyet (örneğin tüm hazır sistemleri etkileyen açıklar, tüm sürümleri etkileyen açıklar gibi)  durumunda bu açık kullanılırken, artık geliştirilmeyen, destek bulunması zor olan, dolayısıyla gövde gösterisinin daha uzun sürebileceği sitelerin hedef alınacağı aşikardır. Belki de en önemli nokta bu. Zira asıl sorun 1.0 sürümünde olmamasına rağmen sadece eski olduğu için en çok etkilenen sürüm 1.0 olacak böyle bir durumda.

Senelerdir emek verdiğiniz şeyin bir anda uçup gitme ihtimali eskisinden daha yüksek. Kaldı ki düzenli yedekelme yapmak sadece olası sorunlarda geri dönüş imkanı verir. Sizin ve ziyaretçilerinizin sorun yaşama riskini azaltmaz. Riski azaltacak olan şey son güncel sürümü kullanmak olacaktır. Yani yedeklemelerinize de güvenmek, Joomla! 1.0 sürüm kullanmaya devam etmek için yeterli görünmüyor.

Bitime 3 hafta kala artık masaüstünde bir yerel sunucu oluşturup, yayındaki sitenizin yedeğini bu yerel sunucuda kurarak 1.5.x son sürüme göç işlemini denemeniz, yıllardır verdiğiniz emeğe duyacağınız en büyük saygı olacak bence. Zira kendi emeğimize saygı duymazsak, onu yitirdiğimizde ağlamanın da manası kalmıyor. Emeğe saygı önce kendi emeğimizden başlar. Yoksa ha varmış ha yokmuş.

1.0 kullanıcılarına şimdiden geçmiş olsun.

Bir not düşmekte fayda var. Elbette biz konumumuz dolayısıyla en kötüsünü düşünmek ve ona göre hareket etmek durumundayız.

 

Faydalı olabilecek bağlantılar

Joomla! 1.5.x Son Sürüm Türkçe Paket >>>

Joomla! 1.5.x Güvenlik >>>

Joomla! 1.0.x Sürümden Jooma! 1.5.x Sürüme Göç >>>

Joomla! 1.0.x Temanızı Joomla! 1.5.x Temasına Dönüştürün (Tema Göçü) >>>

Joomla! 1.5.x Genel Soru-Cevap >>>

Xampp Yerel Sunucu >>>